/**
 * WERX2 - Java Lightweight Messaging Bus
 * Copyright 2005 Bradlee Johnson
 * Released under LGPL license
 * @author Bradlee Johnson
 * @created 2004
 * @version Version2.1
 *   
 */
package test.clientJVM;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.logging.Logger;


/**
 * Communications plug in for sending messages to and receiving messages from
 * the TestJig
 */
public class TestCommunicationInput implements Runnable {

	private BufferedReader in;

	Logger logger;

	public TestCommunicationInput(Logger logger) {
		this.logger = logger;
		new Thread(this, "Comm Input").start();
	}

	public void run() {

		in = new BufferedReader(new InputStreamReader(System.in));
		while (true) {

			try {
				String inLine;

				while ((inLine = in.readLine()) != null) {
					logger.info(inLine);
					if (inLine.startsWith("Show Bus Signal:")) {
						System.out.println(inLine);
					} else if (inLine.equals("Exit")) {
						System.out.println("Exiting...");

					}
				}

			} catch (Exception e) {
				e.printStackTrace();
				System.exit(99);
			}
		}

	}

}